#!/bin/sh
today=$(date '+%Y%m%d')
host=$(hostname)
if [ $# -lt 2 ]
then
  echo "Syntax: $0 description title"
  exit 1
fi
desc=$1
title=$2

raw_file=$(ls -t ${desc}-${host}-${today}-*.raw.gz | head -1)
collectl -p "${raw_file}" -ocz -P -f .
grep -v '^#' ${desc}-${host}-${today}.tab | cat -n > ${desc}-${host}-${today}.tab.numbered
echo "\
  set terminal png size 800,600 enhanced font \"Terminus,9\"
  set output \"${desc}.png\"
  set title \"$2\"
  set ylabel \"GB\"
  set mytics 5
  set yrange [0:8]
  set grid
  plot \"${desc}-${host}-${today}.tab.numbered\" using 1:(\$26/1024/1024) with linespoint notitle" | gnuplot
echo "Output generated."
